---
title: Get Story Versions (Legacy)
description: This allows you to retrieve the versions of a story and the corresponding author information. You can also filter the results based on pagination using the page parameter. This can be done with a GET request on the story version you wish to retrieve.
url: https://storyblok.com/docs/api/management/stories/get-story-versions
---

# Get Story Versions (Legacy)

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/stories/:story_id/versions
```

This allows you to retrieve the versions of a story and the corresponding author information. You can also filter the results based on pagination using the `page` parameter. This can be done with a GET request on the story version you wish to retrieve.

> [!WARNING]
> This endpoint is deprecated and will not return info about versions created after 2024-08-28. Use the [new endpoint](/docs/api/management/stories/get-story-versions-new) instead.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:story_id` (required) (number)
    
    The numeric id of the story
    

## Query parameters

-   `page` (number)
    
    Default: `1`. Learn more under [Pagination](/docs/api/content-delivery/v2/getting-started/pagination).
    
-   `per_page` (number)
    
    Default: `25`. Max: `100`. Learn more under [Pagination](/docs/api/content-delivery/v2/getting-started/pagination).
    

## Response properties

-   `versions` (version\[\])
    
    An array of `version` objects with each object representing a version and details about the change
    
    -   `id` (number)
        
        Numeric id of the story version
        
    -   `event` (string)
        
        The type of version change in the story
        
    -   `created_at` (string)
        
        Creation date (Format: `yyy-MM-dd'T'HH:mm:ssZ`)
        
    -   `author_id` (number)
        
        ID of the author
        
    -   `author` (string)
        
        Name of the author
        
    -   `item_id` (number)
        
        The story `ID`
        
    -   `is_draft` (boolean)
        
        Boolean value, if `false` mans story is published
        
    

## Examples

Example Request

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/stories/123/versions', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/stories/123/versions')->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions"
    
    querystring = {}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/stories/123/versions')
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    let request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/stories/123/versions")
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/stories/123/versions")
    
    println(response.body<JsonElement>())
    ```

Example Request with Pagination

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions\
    ?page=2" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/stories/123/versions', {
        "page": "2"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/stories/123/versions', [
      "page" => "2"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions?page=2")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions?page=2");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/123/versions"
    
    querystring = {"page":"2"}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/stories/123/versions', {:params => {
      "page" => "2"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/stories/123/versions")
    request.url!.append(queryItems: [
        URLQueryItem(name: "page", value: "2")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/stories/123/versions") {
        url {
            parameters.append("page", "2")
        }
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Import a Story (XML)](/docs/api/management/stories/import-a-story-xml)
-   [Next: Get Story Versions](/docs/api/management/stories/get-story-versions-new)
